Skip to main content
GET
/
preview
/
retail-media
/
catalogs
/
{catalogId}
/
status
/preview/retail-media/catalogs/{catalogId}/status
curl --request GET \
  --url https://api.criteo.com/preview/retail-media/catalogs/{catalogId}/status \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "createdAt": "2023-11-07T05:31:56Z",
      "fileSizeBytes": 123,
      "md5Checksum": "<string>",
      "message": "<string>",
      "rowCount": 123
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalogId
string
required

A catalog ID returned from an account catalog request.

Response

200 - application/json

Catalog request found.

A top-level object that encapsulates a Criteo API response for a single entity.

data
object

A domain entity exposed by the API, identified by a unique id.

errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.